// .r_card {
// 	width: 318px;
// 	height: 350px;
// 	border-radius: 8px !important;
// 	background-color: #fff;
// 	perspective: 1000px;
// }

.r__image {
	position: relative;
	padding: 5px;
}

.card_img {
	border-radius: 8px !important;
	height: 160px;
}

.r__content__image {
	position: absolute;
	top: 15%;
	left: 50%;
	transform: translate(-50%, -50%);
	width: 100%;
	text-align: center;
	// background-color: red;
	display: flex;
	justify-content: space-between;
	align-items: center;
	padding: 0px 20px;
}

.category__name,
.gradeLevels {
	display: flex;
	align-items: center;
	border-radius: 4px;
	color: #fff;
	padding: 2px 9px;
}

.section_stars {
	display: flex;
	align-items: center;
	gap: 5;
	border-radius: 4px;
	color: #fff;
	padding: 5px;
}
.action_buttons {
	position: absolute;
	// padding: 10px 0px;
	cursor: pointer;
}
.published {
	position: absolute;
	cursor: pointer;
	padding: 5px;
	bottom: 0%;
	left: 17%;
	transform: translate(-50%, -50%);
	background-color: white;
	width: fit-content;
	height: 30px;
	color: #f58b1f;
	border-radius: 4px;
}

.draft {
	position: absolute;
	cursor: pointer;
	// bottom: 185px;
	// left: 20px;
	padding: 5px;
	bottom: 0%;
	left: 17%;
	transform: translate(-50%, -50%);
	background-color: white;
	width: fit-content;
	height: 30px;
	color: #f58b1f;
	border-radius: 4px;
}

.published p {
	text-align: center;
}

.action_dropdown {
	// background: rgba(244, 104, 5, 0.7);
	color: #fff;
	padding: 5px;
	border-radius: 4px;
	border-radius: 100%;
	width: 30px;
	text-align: center;
}

.card_name {
	// display: flex;
	// align-items: center;
	color: #000;
	font-family: Cairo;
	font-size: 16px;
	font-style: normal;
	font-weight: 600;
	line-height: normal;
	text-transform: capitalize;
	// flex-wrap: wrap;
}

.card_icon {
	width: 20px;
	height: 20px;
	object-fit: cover;
	object-position: center top;
}

.text {
	font-size: 16px;
	color: #333;
	font-weight: 600;
	line-height: 30px;
}

.actions_dropdown {
	z-index: 99999999;
	position: absolute;
	width: 106px;
	background: #d9d9d9;
	display: flex;
	right: -50px;
	top: 67px;
	border-radius: 3px;
}

// .items_dropdown {
//   align-items: center;
//   text-align: center;
//   padding: 10px 0px;
//   border-bottom: 1px solid #b3b3b3;
// }

.rectangle::before,
.rectangle::after {
	content: "";
	display: block;
	position: absolute;
}

.rectangle::before {
	width: 16px;
	height: 16px;
	background-color: #d9d9d9;
	// border: 1px solid #000000;
	border-radius: 1px;
	transform: rotate(45deg);
	top: -8px;
	margin-left: -8px;
}

.link {
	color: #19af00;
	font-size: 16px;
	font-weight: 500;
}

.link .join {
	font-weight: bolder;
	text-decoration: underline;
	color: #19af00;
}

.pointer {
	cursor: pointer;
}

.progress_bar {
	border-radius: 50% !important;
	height: 50px !important;
	width: 50px !important;
}

.image {
	width: 50px;
	height: 50px;
	border-radius: 100%;
}

.new {
	background-color: #bbfcd8;
	color: #19af00;
	border-radius: 22px;
	width: 60px;
	text-align: center;
	padding: 5px 0px;
	text-transform: capitalize;
}

.discount {
	background-color: #fedac1;
	color: #f58b1f;

	border-radius: 22px;
	width: 60px;
	text-align: center;
	padding: 5px 0px;
}

.text_free {
	color: #19af00;
	text-transform: capitalize;
}

.userTypeImage {
	width: 40px;
	height: 40px;
	border-radius: 100%;
	object-fit: cover;
	object-position: center top;
}

.imageDiv {
	position: relative;
	display: flex;
	left: 15px;
}

.card__option {
	border-radius: 100%;
	z-index: 9999;
	// width: 16px;
	// height: 24px !important;
}

//-------------------------------------------------------------------------------------

.r__card {
	width: 318px;
	height: 350px;
	border-radius: 8px !important;
	background-color: #fff;
	perspective: 1000px;
}

.flip__card__inner {
	position: relative;
	width: 100%;
	height: 100%;
	transition: transform 1s;
	transform-style: preserve-3d;
}

.r__card:hover .flip__card__inner {
	transform: rotateY(180deg);
}

.flip__card__front,
.flip__card__back {
	width: 100%;
	height: 100%;
	-webkit-backface-visibility: hidden;
	backface-visibility: hidden;
	position: absolute !important;
}

.flip__card__back {
	transform: rotateY(180deg);
}

.flip__card__back__container {
	display: inline-flex;
	padding: 8px 8px 15px 8px;
	flex-direction: column;
	gap: 12px;
	justify-content: space-between;
	height: 100%;
}

.flip__card__back__first__container {
	flex-direction: column;

	gap: 15px;
}

.flip__card__back__second__container {
	flex-direction: column;
	width: 100%;
}

.flip__card__back__first__content {
	flex-direction: column;
	gap: 15px;
}

.flip__card__back__first__content_info {
	justify-content: space-between;
	align-items: flex-start;
}

.flip__card__back__first__content__span {
	font-size: 18px;
	font-style: normal;
	font-weight: 600;
	line-height: normal;
}

.add__to__cart {
	flex-direction: column;
	gap: 0px !important;
}
